# IMFExResponder Struct Reference
[MCFrame]

Inheritance diagram for IMFExResponder:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | Receive (int32 message, IMFResponder *source, void *data)=0
virtual boolean MCCOMAPI | SelfMenuAction (ActionNumber actionNumber)=0
virtual void MCCOMAPI | SelfPrepareMenus ()=0
virtual boolean MCCOMAPI | SelfKeyDown (TMCPlatformEvent *event)=0
virtual void MCCOMAPI | SelfKeyUp (TMCPlatformEvent *event)=0
virtual boolean MCCOMAPI | SelfToolAction (int32 inOldTool, int32 inNewTool)=0
virtual boolean MCCOMAPI | GetToolDropCandidate (IMFDropCandidate **outDropCandidate, int32 inToolID, IMFToolbarPart *inToolbarPart)=0
virtual boolean MCCOMAPI | GetIndirectToolAction (IShMouseAction **outAction, ActionNumber &outActionNumber, IMFResponder **outContext, IMFPart **outPart, const TMCPoint &inWhere, int32 inToolID, IMFToolbarPart *inToolbarPart)=0
virtual void MCCOMAPI | BecameFirstResponder (boolean on)=0

## Detailed Description

The IMFExResponder interface is for Responder extensions outside the application.

See also:
  IMFResponder

## Member Function Documentation

virtual void MCCOMAPI IMFExResponder::BecameFirstResponder | ( | boolean | on | ) | `[pure virtual]`

Implemented in TBasicModule, and TBasicPart.

virtual boolean MCCOMAPI IMFExResponder::GetIndirectToolAction | ( | IShMouseAction ** | outAction,
|  | ActionNumber & | outActionNumber,
|  | IMFResponder ** | outContext,
|  | IMFPart ** | outPart,
|  | const TMCPoint & | inWhere,
|  | int32 | inToolID,
|  | IMFToolbarPart * | inToolbarPart |
| ) |  |  | `[pure virtual]`

Implemented in TBasicModule, and TBasicPart.

virtual boolean MCCOMAPI IMFExResponder::GetToolDropCandidate | ( | IMFDropCandidate ** | outDropCandidate,
|  | int32 | inToolID,
|  | IMFToolbarPart * | inToolbarPart |
| ) |  |  | `[pure virtual]`

Implemented in TBasicModule, and TBasicPart.

virtual boolean MCCOMAPI IMFExResponder::Receive | ( | int32 | message,
|  | IMFResponder * | source,
|  | void * | data |
| ) |  |  | `[pure virtual]`

Implemented in TBasic3DEditorHostPanePart, TBasicModule, and TBasicPart.

virtual boolean MCCOMAPI IMFExResponder::SelfKeyDown | ( | TMCPlatformEvent * | event | ) | `[pure virtual]`

Implemented in TBasic3DEditorHostPanePart, TBasicModule, and TBasicPart.

virtual void MCCOMAPI IMFExResponder::SelfKeyUp | ( | TMCPlatformEvent * | event | ) | `[pure virtual]`

Implemented in TBasicModule, and TBasicPart.

virtual boolean MCCOMAPI IMFExResponder::SelfMenuAction | ( | ActionNumber | actionNumber | ) | `[pure virtual]`

Implemented in TBasicModule, and TBasicPart.

virtual void MCCOMAPI IMFExResponder::SelfPrepareMenus | ( |  | ) | `[pure virtual]`

Implemented in TBasicModule, and TBasicPart.

virtual boolean MCCOMAPI IMFExResponder::SelfToolAction | ( | int32 | inOldTool,
|  | int32 | inNewTool |
| ) |  |  | `[pure virtual]`

Implemented in TBasicModule, and TBasicPart.

The documentation for this struct was generated from the following file:

- IMFExResponder.h